



<!DOCTYPE html>
<html lang="en">
  
  <head>
    
      <meta charset="utf-8">
      <title>Bokeh Plot</title>
      
      
        
          
        <link rel="stylesheet" href="https://cdn.pydata.org/bokeh/release/bokeh-1.2.0.min.css" type="text/css" />
        
        
          
        <script type="text/javascript" src="https://cdn.pydata.org/bokeh/release/bokeh-1.2.0.min.js"></script>
        <script type="text/javascript">
            Bokeh.set_log_level("info");
        </script>
        
      
      
    
  </head>
  
  
  <body>
    
      
        
          
          
            
              <div class="bk-root" id="3c31ea60-697c-4f35-880a-5ddb6204cd53" data-root-id="1906"></div>
            
          
        
      
      
        <script type="application/json" id="2008">
          {"ab74176d-4a86-4ac5-a825-e4298d44730b":{"roots":{"references":[{"attributes":{},"id":"1915","type":"LinearScale"},{"attributes":{},"id":"1942","type":"BasicTickFormatter"},{"attributes":{"text":"Job Satisfaction","text_color":{"value":"black"},"text_font_size":{"value":"12pt"}},"id":"1907","type":"Title"},{"attributes":{"label":{"field":"JobSatisfaction"},"renderers":[{"id":"1936","type":"GlyphRenderer"}]},"id":"1944","type":"LegendItem"},{"attributes":{"end_angle":{"expr":{"id":"1931","type":"CumSum"},"units":"rad"},"fill_color":{"field":"color"},"line_color":{"value":"white"},"radius":{"units":"data","value":0.4},"start_angle":{"expr":{"id":"1930","type":"CumSum"},"units":"rad"},"x":{"value":0},"y":{"value":1}},"id":"1934","type":"Wedge"},{"attributes":{"axis_label":null,"formatter":{"id":"1942","type":"BasicTickFormatter"},"ticker":{"id":"1918","type":"BasicTicker"},"visible":false},"id":"1917","type":"LinearAxis"},{"attributes":{"callback":null},"id":"1911","type":"DataRange1d"},{"attributes":{"callback":null,"tooltips":"@JobSatisfaction: %@percentage"},"id":"1927","type":"HoverTool"},{"attributes":{"field":"angle","include_zero":true},"id":"1930","type":"CumSum"},{"attributes":{"below":[{"id":"1917","type":"LinearAxis"}],"center":[{"id":"1921","type":"Grid"},{"id":"1926","type":"Grid"},{"id":"1943","type":"Legend"}],"left":[{"id":"1922","type":"LinearAxis"}],"plot_width":900,"renderers":[{"id":"1936","type":"GlyphRenderer"}],"title":{"id":"1907","type":"Title"},"toolbar":{"id":"1928","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"1909","type":"Range1d"},"x_scale":{"id":"1913","type":"LinearScale"},"y_range":{"id":"1911","type":"DataRange1d"},"y_scale":{"id":"1915","type":"LinearScale"}},"id":"1906","subtype":"Figure","type":"Plot"},{"attributes":{"source":{"id":"1932","type":"ColumnDataSource"}},"id":"1937","type":"CDSView"},{"attributes":{},"id":"1913","type":"LinearScale"},{"attributes":{"axis_label":null,"formatter":{"id":"1940","type":"BasicTickFormatter"},"ticker":{"id":"1923","type":"BasicTicker"},"visible":false},"id":"1922","type":"LinearAxis"},{"attributes":{"grid_line_color":null,"ticker":{"id":"1918","type":"BasicTicker"}},"id":"1921","type":"Grid"},{"attributes":{},"id":"1950","type":"Selection"},{"attributes":{"end_angle":{"expr":{"id":"1931","type":"CumSum"},"units":"rad"},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"radius":{"units":"data","value":0.4},"start_angle":{"expr":{"id":"1930","type":"CumSum"},"units":"rad"},"x":{"value":0},"y":{"value":1}},"id":"1935","type":"Wedge"},{"attributes":{},"id":"1940","type":"BasicTickFormatter"},{"attributes":{"callback":null,"start":-0.5},"id":"1909","type":"Range1d"},{"attributes":{"callback":null,"data":{"JobSatisfaction":["Moderately satisfied","Extremely satisfied","Slightly satisfied","Slightly dissatisfied","Moderately dissatisfied","Neither satisfied nor dissatisfied","Extremely dissatisfied"],"angle":{"__ndarray__":"z9j57HzfAkD0TCT0VQvyP0g2C1E3EO0/tqPejIJ75D/ei3RpYVjiP0gaNkUIxdw/cOLfb27SzD8=","dtype":"float64","shape":[7]},"color":["#1f77b4","#ff7f0e","#2ca02c","#d62728","#9467bd","#8c564b","#e377c2"],"index":[0,1,2,3,4,5,6],"percentage":{"__ndarray__":"rXNiUPjFQkChA+4w8PIxQBMxjHfr6CxA1AHt2NBfJEBX7lR6kz8iQExieRMinhxAmF49IHarDEA=","dtype":"float64","shape":[7]},"value":[25962,12411,9995,7044,6309,4947,2478]},"selected":{"id":"1950","type":"Selection"},"selection_policy":{"id":"1951","type":"UnionRenderers"}},"id":"1932","type":"ColumnDataSource"},{"attributes":{"dimension":1,"grid_line_color":null,"ticker":{"id":"1923","type":"BasicTicker"}},"id":"1926","type":"Grid"},{"attributes":{},"id":"1951","type":"UnionRenderers"},{"attributes":{"field":"angle"},"id":"1931","type":"CumSum"},{"attributes":{},"id":"1923","type":"BasicTicker"},{"attributes":{},"id":"1918","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_multi":null,"active_scroll":"auto","active_tap":"auto","tools":[{"id":"1927","type":"HoverTool"}]},"id":"1928","type":"Toolbar"},{"attributes":{"data_source":{"id":"1932","type":"ColumnDataSource"},"glyph":{"id":"1934","type":"Wedge"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"1935","type":"Wedge"},"selection_glyph":null,"view":{"id":"1937","type":"CDSView"}},"id":"1936","type":"GlyphRenderer"},{"attributes":{"items":[{"id":"1944","type":"LegendItem"}]},"id":"1943","type":"Legend"}],"root_ids":["1906"]},"title":"Bokeh Application","version":"1.2.0"}}
        </script>
        <script type="text/javascript">
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    
                  var docs_json = document.getElementById('2008').textContent;
                  var render_items = [{"docid":"ab74176d-4a86-4ac5-a825-e4298d44730b","roots":{"1906":"3c31ea60-697c-4f35-880a-5ddb6204cd53"}}];
                  root.Bokeh.embed.embed_items(docs_json, render_items);
                
                  }
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to run BokehJS code because BokehJS library is missing");
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        </script>
    
  </body>
  
</html>